namespace elm { 
inline ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type Calendar::first_day_of_week_get() const
{
   Elm_Calendar_Weekday __return_value =  ::elm_obj_calendar_first_day_of_week_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::first_day_of_week_set( ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type day) const
{
    ::elm_obj_calendar_first_day_of_week_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Weekday,  ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type>(day));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type Calendar::selectable_get() const
{
   Elm_Calendar_Selectable __return_value =  ::elm_obj_calendar_selectable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::selectable_set( ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type selectable) const
{
    ::elm_obj_calendar_selectable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Selectable,  ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type>(selectable));
}
inline ::efl::eolian::return_traits<double>::type Calendar::interval_get() const
{
   double __return_value =  ::elm_obj_calendar_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_calendar_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Calendar::weekdays_names_get() const
{
   const char ** __return_value =  ::elm_obj_calendar_weekdays_names_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::weekdays_names_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type weekdays) const
{
    ::elm_obj_calendar_weekdays_names_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char **,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(weekdays));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type Calendar::select_mode_get() const
{
   Elm_Calendar_Select_Mode __return_value =  ::elm_obj_calendar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::select_mode_set( ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type mode) const
{
    ::elm_obj_calendar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Select_Mode,  ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<void>::type Calendar::format_function_set( ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type format_function) const
{
    ::elm_obj_calendar_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Format_Cb,  ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type>(format_function));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list<Elm_Calendar_Mark const&>>::type Calendar::marks_get() const
{
   const Eina_List * __return_value =  ::elm_obj_calendar_marks_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list<Elm_Calendar_Mark const&>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Efl_Time const&>::type Calendar::date_min_get() const
{
   const Efl_Time * __return_value =  ::elm_obj_calendar_date_min_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Time const&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::date_min_set( ::efl::eolian::in_traits<Efl_Time const&>::type min) const
{
    ::elm_obj_calendar_date_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(min));
}
inline ::efl::eolian::return_traits<Efl_Time const&>::type Calendar::date_max_get() const
{
   const Efl_Time * __return_value =  ::elm_obj_calendar_date_max_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Time const&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::date_max_set( ::efl::eolian::in_traits<Efl_Time const&>::type max) const
{
    ::elm_obj_calendar_date_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(max));
}
inline ::efl::eolian::return_traits<void>::type Calendar::selected_time_set( ::efl::eolian::in_traits<Efl_Time const&>::type selected_time) const
{
    ::elm_obj_calendar_selected_time_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(selected_time));
}
inline ::efl::eolian::return_traits<bool>::type Calendar::selected_time_get( ::efl::eolian::inout_traits<Efl_Time>::type selected_time) const
{
   Efl_Time __out_param_selected_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(selected_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_selected_time_get(this->_eo_ptr()
      , & __out_param_selected_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(selected_time, __out_param_selected_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Elm_Calendar_Mark&>::type Calendar::mark_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type mark_type,  ::efl::eolian::in_traits<Efl_Time const&>::type mark_time,  ::efl::eolian::in_traits<Elm_Calendar_Mark_Repeat_Type>::type repeat) const
{
   Elm_Calendar_Mark * __return_value =  ::elm_obj_calendar_mark_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(mark_type)
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mark_time)
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Mark_Repeat_Type,  ::efl::eolian::in_traits<Elm_Calendar_Mark_Repeat_Type>::type>(repeat));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Mark&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::mark_del( ::efl::eolian::in_traits<Elm_Calendar_Mark const&>::type mark) const
{
    ::elm_obj_calendar_mark_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Mark *,  ::efl::eolian::in_traits<Elm_Calendar_Mark const&>::type>(mark));
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_clear() const
{
    ::elm_obj_calendar_marks_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_draw() const
{
    ::elm_obj_calendar_marks_draw(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Calendar::displayed_time_get( ::efl::eolian::inout_traits<Efl_Time>::type displayed_time) const
{
   Efl_Time __out_param_displayed_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(displayed_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_displayed_time_get(this->_eo_ptr()
      , & __out_param_displayed_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(displayed_time, __out_param_displayed_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type Calendar::first_day_of_week_get() const
{
   Elm_Calendar_Weekday __return_value =  ::elm_obj_calendar_first_day_of_week_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::first_day_of_week_set( ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type day) const
{
    ::elm_obj_calendar_first_day_of_week_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Weekday,  ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type>(day));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type Calendar::selectable_get() const
{
   Elm_Calendar_Selectable __return_value =  ::elm_obj_calendar_selectable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::selectable_set( ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type selectable) const
{
    ::elm_obj_calendar_selectable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Selectable,  ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type>(selectable));
}
inline ::efl::eolian::return_traits<double>::type Calendar::interval_get() const
{
   double __return_value =  ::elm_obj_calendar_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_calendar_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Calendar::weekdays_names_get() const
{
   const char ** __return_value =  ::elm_obj_calendar_weekdays_names_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::weekdays_names_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type weekdays) const
{
    ::elm_obj_calendar_weekdays_names_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char **,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(weekdays));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type Calendar::select_mode_get() const
{
   Elm_Calendar_Select_Mode __return_value =  ::elm_obj_calendar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::select_mode_set( ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type mode) const
{
    ::elm_obj_calendar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Select_Mode,  ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<void>::type Calendar::format_function_set( ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type format_function) const
{
    ::elm_obj_calendar_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Format_Cb,  ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type>(format_function));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list<Elm_Calendar_Mark const&>>::type Calendar::marks_get() const
{
   const Eina_List * __return_value =  ::elm_obj_calendar_marks_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list<Elm_Calendar_Mark const&>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Efl_Time const&>::type Calendar::date_min_get() const
{
   const Efl_Time * __return_value =  ::elm_obj_calendar_date_min_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Time const&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::date_min_set( ::efl::eolian::in_traits<Efl_Time const&>::type min) const
{
    ::elm_obj_calendar_date_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(min));
}
inline ::efl::eolian::return_traits<Efl_Time const&>::type Calendar::date_max_get() const
{
   const Efl_Time * __return_value =  ::elm_obj_calendar_date_max_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Time const&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::date_max_set( ::efl::eolian::in_traits<Efl_Time const&>::type max) const
{
    ::elm_obj_calendar_date_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(max));
}
inline ::efl::eolian::return_traits<void>::type Calendar::selected_time_set( ::efl::eolian::in_traits<Efl_Time const&>::type selected_time) const
{
    ::elm_obj_calendar_selected_time_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(selected_time));
}
inline ::efl::eolian::return_traits<bool>::type Calendar::selected_time_get( ::efl::eolian::inout_traits<Efl_Time>::type selected_time) const
{
   Efl_Time __out_param_selected_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(selected_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_selected_time_get(this->_eo_ptr()
      , & __out_param_selected_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(selected_time, __out_param_selected_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Elm_Calendar_Mark&>::type Calendar::mark_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type mark_type,  ::efl::eolian::in_traits<Efl_Time const&>::type mark_time,  ::efl::eolian::in_traits<Elm_Calendar_Mark_Repeat_Type>::type repeat) const
{
   Elm_Calendar_Mark * __return_value =  ::elm_obj_calendar_mark_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(mark_type)
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mark_time)
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Mark_Repeat_Type,  ::efl::eolian::in_traits<Elm_Calendar_Mark_Repeat_Type>::type>(repeat));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Mark&>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::mark_del( ::efl::eolian::in_traits<Elm_Calendar_Mark const&>::type mark) const
{
    ::elm_obj_calendar_mark_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Mark *,  ::efl::eolian::in_traits<Elm_Calendar_Mark const&>::type>(mark));
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_clear() const
{
    ::elm_obj_calendar_marks_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_draw() const
{
    ::elm_obj_calendar_marks_draw(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Calendar::displayed_time_get( ::efl::eolian::inout_traits<Efl_Time>::type displayed_time) const
{
   Efl_Time __out_param_displayed_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(displayed_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_displayed_time_get(this->_eo_ptr()
      , & __out_param_displayed_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(displayed_time, __out_param_displayed_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline elm::Calendar::operator ::elm::Calendar() const { return *static_cast< ::elm::Calendar const*>(static_cast<void const*>(this)); }
inline elm::Calendar::operator ::elm::Calendar&() { return *static_cast< ::elm::Calendar*>(static_cast<void*>(this)); }
inline elm::Calendar::operator ::elm::Calendar const&() const { return *static_cast< ::elm::Calendar const*>(static_cast<void const*>(this)); }
} }

